%define name 	unrarArchive
%define version 0.3
%define release %mkrel 2
%define url	http://kellerleiche.bplaced.net
%define group Archiving/Compression

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		%{group}
URL:		%{url}
Source:		%{name}-%{version}.tar.gz
Summary:	Servicemenu unrar for kde4
Summary(de):	Servicemenu unrar für KDE4
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	kdelibs4, kdebase4-core , zenity
Requires:	rarlinux
Obsoletes:	%name < %version

%description
Servicemenu to unpack rar archives with password based on kdialog

#german
%description -l de
Servicemenu zum entpacken von rar Archive mit Passwort basierend auf kdialog

%prep

%setup -q -n %{name}

%install
install -d -m 0755 %buildroot%_datadir/kde4/services/ServiceMenus
install -d -m 0755 %buildroot%_datadir/icons
install -d -m 0755 %buildroot%_datadir/apps/%{name}


%__install -m 0644 %{name}.desktop %buildroot%_datadir/kde4/services/ServiceMenus/%{name}.desktop 
%__install -m 0644 unrar.png %buildroot%_datadir/icons/unrar.png
%__install -m 0755 %{name} %buildroot%_datadir/apps/%{name}/%{name}
%__install -m 0755 %{name}Information %buildroot%_datadir/apps/%{name}/%{name}Information
%__install -m 0755 unrarEncryptedArchive %buildroot%_datadir/apps/%{name}/unrarEncryptedArchive
%__install -m 0755 unrarEncryptedArchiveInformation %buildroot%_datadir/apps/%{name}/unrarEncryptedArchiveInformation

%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_datadir}/kde4/services/ServiceMenus/%{name}.desktop
%{_datadir}/icons/unrar.png
%{_datadir}/apps/%{name}/*
%doc COPYING


%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}

%changelog
* Mon Feb 21 2011 texstar <texstar.com>
- rebuild against kde 4.6.0

* Sun Jun 13 2010 leich <meisssw01 at aol.com> 0.3-1pclos2010
- fix output issues under kdialog

* Fri Mar 19 2010 leiche <meisssw01 at aol.com> 0.2-2pclos2010
- added as output dialog zenity

* Sun Mar 14 2010 leiche <meisssw01 at aol.com> 0.2-1pclos2010
- delete infodialog, and fixed output

* Sun Mar 06 2010 leiche <meisssw01 at aol.com> 0.1-1pclos2010
- first build for PCLinuxOS
